{%extends 'base.html'%}
{% load staticfiles %}
<html>

<head>
    <title>Nama Donatur</title>
    <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link href="https://fonts.googleapis.com/css?family=Kaushan+Script" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css?family=K2D" rel="stylesheet">
   <link rel="stylesheet" type="text/css" href="{% static 'style.css' %}">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">

    <style>
        body{ background-image: linear-gradient(to right top, #ff42e9, #9d94ff, #00c1ff, #00ddff, #4beef3)};
        table {
          font-family: arial, sans-serif;
          border-collapse: collapse;
          width: 100%;
        }

        td, th {
          border: 1px solid #dddddd;
          text-align: center;
          padding: 8px;
        }

        tr:nth-child(even) {
          background-color: #dddddd;
        }
    </style>
</head>
<body>
    {%block content%}
<div style="margin:150px" class="container-fluid h-100">
        <div class="row h-10 justify-content-center align-items-center">
          <div class="col-sm-12 text-center">
                <p style="font-family: 'Kaushan Script', cursive; font-size: 50px"><strong>Riwayat Donasi</strong></p><br><br>
           
        	<table style="width:100%" class="text-center">
            {% if persumbangan %}
                <tr>
                    <th>Nama</th>
                    <th>Program</th>
                    <th>Jumlah Uang</th>
                </tr>
                    {% for donaturs in persumbangan %}
                        {% if donaturs.email == user.email %}
                        <tr>
                            <td>{{ user.first_name }} {{ user.last_name }}</td>
                            <td>{{ donaturs.namaProgram }}</td>
                            <td>{{ donaturs.jumlahUang }}</td>
                        </tr>
                        {% endif %}
                    {% endfor %}
                {% endif %}
            </table>
            <br>
            
            </div>
        </div>
    </div>
    {%endblock%}
</body>